Bug 1658487 - systemd complains about legacy of /var/run
Summary: systemd complains about legacy of /var/run
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 09:31 UTC by Thomas Woerner
Modified: 2019-06-14 02:04 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 02:04:56 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Thomas Woerner 2018-12-12 09:31:32 UTC
This bug is created as a clone of upstream ticket:
https://pagure.io/freeipa/issue/7732



systemd 239 brings a new complaint about a legacy of '/var/run' for tmpfiles
( https://github.com/systemd/systemd/commit/a2d1fb882c4308bc10362d971f333c5031d60069 ).

journalctl:

systemd-tmpfiles[2675]: [/usr/lib/tmpfiles.d/ipa.conf:1] Line references path below legacy directory /var/run/, updating /var/run/ipa → /run/ipa; please update the tmpfiles.d/ drop-in file accordingly.
systemd-tmpfiles[2675]: [/usr/lib/tmpfiles.d/ipa.conf:2] Line references path below legacy directory /var/run/, updating /var/run/ipa/ccaches → /run/ipa/ccaches; please update the tmpfiles.d/ drop-in file accordingly.

It's not a critical, but annoying.
Can be reproduced by:

systemd-tmpfiles --create ipa.conf

Comment 2 Varun Mylaraiah 2019-01-10 11:59:54 UTC
Verified 

systemd: src/tmpfiles/tmpfiles.c(2147): log_notice("[%s:%u] Line references path below legacy directory /var/run/, updating %s → %s; please update the tmpfiles.d/ drop-in file accordingly.", fname, line, *path, n);
systemd-tmpfiles[13671]: [/usr/lib/tmpfiles.d/certmonger.conf:3] Line references path below legacy directory /var/run/, updating /var/run/certmonger → /run/certmonger; please update the tmpfil>


Based on the above observation, marking the bug VERIFIED


Note You need to log in before you can comment on or make changes to this bug.